Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260925 - net-misc/nstx: uses -Werror during build and fails with _FORTIFY_SOURCE=2
Summary: net-misc/nstx: uses -Werror during build and fails with _FORTIFY_SOURCE=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Robin Johnson
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on: 262765
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-02 14:44 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-12-06 19:40 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (nstx-1.1_beta6-r2:20090603-160227.log,2.08 KB, text/plain)
2009-06-03 22:24 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-02 14:44:13 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego
Comment 1 Steve Brudenell 2009-03-17 04:46:46 UTC
Patched this in bug 262765.
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-03 22:24:04 UTC
Created attachment 193463 [details]
Build log
Comment 3 Andrew Savchenko gentoo-dev 2009-12-06 17:14:43 UTC
WTF nstx is masked for removal?!

See bug 262765, it compiles with -D_FORTIFY_SOURCE=2 (default for Gentoo) and nstx-1.1_beta6-r3 works OK for me.

-Werror is not at issue for removal.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-12-06 17:17:23 UTC
-Werror alone is not an issue for removal.

-Werror causing _FORTIFY_SOURCE build failures which are not fixed after nine months is enough of a reason for removal.

Want to save it? Become a dev or find a dev sponsoring you to proxy-maintain the package.
Comment 5 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-12-06 19:40:39 UTC
ebuild is fixed.